## NAS Get Home Network NAS Get Home Network |

## Functions

QmiMessageNasGetHomeNetworkOutput * | qmi_message_nas_get_home_network_output_ref ()
void | qmi_message_nas_get_home_network_output_unref ()
gboolean | qmi_message_nas_get_home_network_output_get_result ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network_3gpp2 ()
gboolean | qmi_message_nas_get_home_network_output_get_home_system_id ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network ()
void | qmi_client_nas_get_home_network ()
QmiMessageNasGetHomeNetworkOutput * | qmi_client_nas_get_home_network_finish ()

## Types and Values

| QmiMessageNasGetHomeNetworkOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetHomeNetworkOutput

## Description

## Functions

### qmi_message_nas_get_home_network_output_ref ()

    QmiMessageNasGetHomeNetworkOutput *
    qmi_message_nas_get_home_network_output_ref
                                   (QmiMessageNasGetHomeNetworkOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |

#### Returns

the new reference to `self` .

### qmi_message_nas_get_home_network_output_unref ()

    void
    qmi_message_nas_get_home_network_output_unref
                                   (QmiMessageNasGetHomeNetworkOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |

### qmi_message_nas_get_home_network_output_get_result ()

    gboolean
    qmi_message_nas_get_home_network_output_get_result
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_nas_get_home_network_output_get_home_network_3gpp2 ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network_3gpp2
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *home_network_3gpp2_mcc,
                                    guint16 *home_network_3gpp2_mnc,
                                    QmiNasNetworkDescriptionDisplay *home_network_3gpp2_display_description,
                                    QmiNasNetworkDescriptionEncoding *home_network_3gpp2_description_encoding,
                                    const gchar **home_network_3gpp2_description,
                                    GError **error);

Get the 'Home Network 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
home_network_3gpp2_mcc | a placeholder for the output guint16, or `NULL` if not required. |
home_network_3gpp2_mnc | a placeholder for the output guint16, or `NULL` if not required. |
home_network_3gpp2_display_description | a placeholder for the output QmiNasNetworkDescriptionDisplay, or `NULL` if not required. |
home_network_3gpp2_description_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. |
home_network_3gpp2_description | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_home_network_output_get_home_system_id ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_system_id
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *home_system_id_sid,
                                    guint16 *home_system_id_nid,
                                    GError **error);

Get the 'Home System ID' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
home_system_id_sid | a placeholder for the output guint16, or `NULL` if not required. |
home_system_id_nid | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_home_network_output_get_home_network ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *home_network_mcc,
                                    guint16 *home_network_mnc,
                                    const gchar **home_network_description,
                                    GError **error);

Get the 'Home Network' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
home_network_mcc | a placeholder for the output guint16, or `NULL` if not required. |
home_network_mnc | a placeholder for the output guint16, or `NULL` if not required. |
home_network_description | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_nas_get_home_network ()

    void
    qmi_client_nas_get_home_network (QmiClientNas *self,
                                     gpointer unused,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Get Home Network request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_home_network_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_nas_get_home_network_finish ()

    QmiMessageNasGetHomeNetworkOutput *
    qmi_client_nas_get_home_network_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_home_network()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_home_network()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetHomeNetworkOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_home_network_output_unref()`.

## Types and Values

### QmiMessageNasGetHomeNetworkOutput

    typedef struct _QmiMessageNasGetHomeNetworkOutput QmiMessageNasGetHomeNetworkOutput;

The QmiMessageNasGetHomeNetworkOutput structure contains private data and should only be accessed using the provided API.